Get procore project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/procore/{procoreCompanyId}/project/{procoreProjectId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
  • procoreCompanyId integer(int64) Required
  • procoreProjectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • name string
    • zip string
    • country_code string
    • city string
    • state_code string
    • latitude number
    • longitude number
    • time_zone string
GET /company/{companyId}/procore/{procoreCompanyId}/project/{procoreProjectId}
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/procore/{procoreCompanyId}/project/{procoreProjectId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "id": 42,
  "name": "string",
  "zip": "string",
  "country_code": "string",
  "city": "string",
  "state_code": "string",
  "latitude": 42.0,
  "longitude": 42.0,
  "time_zone": "string"
}